Update PHP version For WordPress Print

  • 1

Is your WordPress dashboard warning you that your PHP is out of date or insecure? You'll need to update the version of PHP in your web hosting settings.

Follow these steps to update the PHP version your website is using:

  1. Log in cPanel
    1. Log in to this website if you're not already logged in by clicking on the Account button at the top right and selecting Login
    2. Now click on Services from the Main Menu and select My Services
    3. Select your cPanel web hosting
    4. Then from the Actions menu on the left click on Login To cPanel

  2. Once in cPanel scroll down to the Software section. Click on MultiPHP Manager
    MultiPHP Manager in cPanel
    Make sure NOT to click on MultiPHP INI Editor

  3. You will see a list of all of the websites under your account. Tick each one you want to update

    Take note of the current version so you can switch back if needed.

  4. Now from the drop-down on the right select the version of PHP you want to use.
    For WordPress select the latest version available.

  5. If the version of PHP appears twice you may have a choice between the ea-php or alt-php.
    If you're not sure which to use, select the ea- version.
    Then click on the Apply button


  6. Your website has now been updated.
    You can confirm this by checking the website list:


  7. Now check your website still loads correctly and that the PHP WordPress warning has disappeared

  8. If your website is not working anymore make sure you have selected the correct version of PHP.
    You can always switch back to the previous version if needed then upgrade all of your plug-ins, themes and WordPress itself and try again.

Was this answer helpful?

« Back